Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225365 - Review Request: perl-File-Next - File-finding iterator
Summary: Review Request: perl-File-Next - File-finding iterator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT 225368
TreeView+ depends on / blocked
 
Reported: 2007-01-30 05:54 UTC by Ian Burrell
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 21:31:29 UTC
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Ian Burrell 2007-01-30 05:54:59 UTC
Spec URL: http://znark.com/fedora/perl-File-Next.spec
SRPM URL: http://znark.com/fedora/perl-File-Next-0.38-1.src.rpm
Description: File::Next is an iterator-based module for finding files.  It's
lightweight, has no dependencies, runs under taint mode, and puts your
program more directly in control of file selection.

It is required by ack.

Comment 1 Ralf Corsepius 2007-01-30 06:17:23 UTC
For better test coverage, please add:

BuildRequires: perl(Test::Pod::Coverage) >= 1.04
BuildRequires: perl(Test::Pod) >= 1.14

Without them, "make check" issues warnings in mock.


Comment 2 Ian Burrell 2007-01-30 17:35:34 UTC
Add BuildRequires Test::Pod and Test::Pod::Coverage.

Spec URL: http://znark.com/fedora/perl-File-Next.spec
SRPM URL: http://znark.com/fedora/perl-File-Next-0.38-2.src.rpm


Comment 3 Parag AN(पराग) 2007-02-09 04:57:48 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
3ba4accaafebd1dcada17839c122eca6  File-Next-0.38.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: perl(File::Next) = 0.38
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00-load.........# Testing File::Next 0.38, Perl 5.008008, /usr/bin/perl
ok
t/api.............ok
t/basic...........ok
t/dirs............ok
t/dot.............ok
t/follow..........ok
t/parms...........ok
t/pod-coverage....ok
t/pod.............ok
t/sort............ok
All tests successful.
Files=10, Tests=57,  0 wallclock secs ( 0.51 cusr +  0.11 csys =  0.62 CPU)

APPROVED.


Comment 4 Ian Burrell 2007-02-13 21:31:29 UTC
Built for FC-5, FC-6, devel.

Comment 5 Ian Burrell 2007-08-29 18:53:33 UTC
Package Change Request
======================
Package Name: perl-File-Next
New Branches: EL-4 EL-5



Note You need to log in before you can comment on or make changes to this bug.